Bug 320441 - Merge duplicates does not deal with stacks
Summary: Merge duplicates does not deal with stacks
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: general (show other bugs)
Version: GIT master
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KPhotoAlbum Bugs
URL:
Keywords:
Depends on:
Blocks: 320635
  Show dependency treegraph
 
Reported: 2013-05-29 20:49 UTC by Johannes Zarl-Zierl
Modified: 2013-06-15 19:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Zarl-Zierl 2013-05-29 20:49:16 UTC
When using the merge duplicates feature on two images that are stacked together, KPA will not remove the stack from the remaining image, resulting in a single "stacked" image.
Comment 1 Johannes Zarl-Zierl 2013-06-15 19:08:35 UTC
Git commit 2b7b9c4b11ccabbe0fc6a58a0853e7303ffebbb7 by Johannes Zarl.
Committed on 15/06/2013 at 21:06.
Pushed by johanneszarl into branch 'master'.

Correctly handle stacks in ImageInfo::merge().

M  +13   -4    DB/ImageInfo.cpp

http://commits.kde.org/kphotoalbum/2b7b9c4b11ccabbe0fc6a58a0853e7303ffebbb7